Subject: Re: [PATCH 10/14] ps3: get firmware version

From: Nathan Lynch <[email-masked]>
Date: Fri, 26 Jan 2007 14:37:58 -0600

Benjamin Herrenschmidt wrote:

> > Anyway, that is the need, the question is where to make it
> > available.  I thought /proc/cpuinfo already has the platform type
> > (coming from the generic powerpc code), so it would be convenient
> > for utilities to have the firmware version there too.  I don't
> > think parsing the dmsg is an option for minimal configs like
> > bootloaders and distro installers, as they may not keep the boot
> > messages around, and in general doesn't seem a reliable way.  If
> > you can make a suggestion, I'd like to hear it.
>
> Yeah, /proc/cpuinfo is actually a fairly convenient place for that...

Other firmwares provide a property in the device tree with version
information, for example on Power5:

$ lsprop /proc/device-tree/openprom/ibm,fw-vernum_encoded
/proc/device-tree/openprom/ibm,fw-vernum_encoded "SF225_096"